### Method

# Ide TransferManager execute_async

#### Declaration

    void
    ide_transfer_manager_execute_async (
      IdeTransferManager* self,
      IdeTransfer* transfer,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This is a convenience function that will queue `transfer` into the transfer manager and execute callback upon completion of the transfer. The success or failure `GError` will be propagated to the caller via ide_transfer_manager_execute_finish().

Available since: | 3.32

#### Parameters

`transfer` | `IdeTransfer`
| No description available.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback or `NULL`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.